---
title: 'Window: pagehide event'
slug: Web/API/Window/pagehide_event
tags:
  - API
  - Event
  - History
  - Navigation
  - Reference
  - Window
  - pagehide
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>pagehide</code></strong> event is sent to a {{domxref("Window")}} when the browser hides the current page in the process of presenting a different page from the session's history.</span> For example, when the user clicks the browser's Back button, the current page receives a <code>pagehide</code> event before the previous page is shown.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PageTransitionEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("Window.onpagehide", "onpagehide")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>In this example, an event handler is established to watch for <code>pagehide</code> events and to perform special handling if the page is being persisted for possible reuse.</p>

<pre class="brush: js">window.addEventListener("pagehide", event =&gt; {
  if (event.persisted) {
    /* the page isn't being discarded, so it can be reused later */
  }
}, false);
</pre>

<p>This can also be written using the {{domxref("Window.onpagehide", "onpagehide")}} event handler property on the {{domxref("Window")}}:</p>

<pre class="brush: js">window.onpagehide = event =&gt; {
  if (event.persisted) {
    /* the page isn't being discarded, so it can be reused later */
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'browsing-the-web.html#event-pagehide', 'pagehide')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial specification.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'browsers.html#event-pagehide', 'pagehide')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.pagehide_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Window.pageshow_event", "pageshow")}} event</li>
</ul>
